import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';

class Inventory extends Equatable {
  final String id;
  final int availableQuantity;
  final bool autoUpdate;
  final bool trackUpdates;
  final int threshold;
  final String createdAt;
  final String lastRefilledAt;

  Inventory({
    @required this.id,
    @required this.availableQuantity,
    @required this.autoUpdate,
    @required this.trackUpdates,
    @required this.threshold,
    @required this.createdAt,
    @required this.lastRefilledAt
  });

  @override
  List<Object> get props => [id, availableQuantity, autoUpdate, trackUpdates, threshold, createdAt, lastRefilledAt];

}